DatasetRw
Attempts to rename file or directory
Attempts to rename Dataset file or directory corresponding to the specified datasetId. The request body should contain a path to the file/directory and the intended new name
PUT
/
datasetrw
/
dataset
/
{datasetId}
/
rename-file
Attempts to rename file or directory
curl --request PUT \
--url https://mycluster.domino.tech/datasetrw/dataset/{datasetId}/rename-fileimport requests
url = "https://mycluster.domino.tech/datasetrw/dataset/{datasetId}/rename-file"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://mycluster.domino.tech/datasetrw/dataset/{datasetId}/rename-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}Path Parameters
ID of dataset
Response
Success message
The response is of type string.
Last modified on August 18, 2026
Related topics
Attempts to rename volume file or directoryAttempts to move the uploaded files to the DatasetAudit Trail Data GlossaryThe python-domino libraryWas this page helpful?
⌘I
Attempts to rename file or directory
